$(function(){
	
	$('.selectpicker').selectpicker({
		template:{
			caret:'<span class="sel-icon glyphicon glyphicon-menu-down"></span>'
		}
	});
	
	$.getJSON("../../assets/js/landingpage_photos.json", function (data) {
		const tmphtml=template("flow-photos",{photos:data});
		
		$("#project-photo-row").append(tmphtml);
	});
	
	
	$("#project-photo-row").on("click",".thumbnail img",function(){
		let imgname=$(this).data('imgname');
		zeroModal.show({
			url:'landingpage_details.html?img='+imgname,
			iframe:true,
			width:'95%',
			height:'95%',
			onClosed:function(){
				$("body").css('overflow','auto');
			},
			onComplete:function(){
				$("body").css('overflow','hidden');
			}
		});
		
		
	});
	
});